Difference between revisions of "FEM ConstraintSelfWeight"

From FreeCAD Documentation
Jump to: navigation, search
(Marked this version for translation)
(19 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 +
<languages/>
 
<translate>
 
<translate>
 +
<!--T:14-->
 +
{{Docnav|[[FEM_ConstraintPressure|Constraint pressure]]|[[FEM_ConstraintBearing|Constraint bearing]]|[[FEM_Module|FEM]]|IconL=FEM_ConstraintPressure.png|IconC=Workbench_FEM.svg|IconR=FEM_ConstraintBearing.png}}
 +
 
<!--T:1-->
 
<!--T:1-->
{{GuiCommand|Name=FEM ConstraintSelfWeight|MenuLocation=FEM → Constraint self weight||Workbenches=[[Fem Workbench|FEM]]|Shortcut=C,W|SeeAlso=[[FEM_tutorial|FEM tutorial]]}}
+
{{GuiCommand|Name=FEM ConstraintSelfWeight|MenuLocation=Model → Mechanical Constraints → Constraint self weight||Workbenches=[[FEM Module|FEM]]|Shortcut=C,W|SeeAlso=[[FEM_tutorial|FEM tutorial]]}}
  
 
==Description== <!--T:2-->
 
==Description== <!--T:2-->
 +
 +
<!--T:12-->
 
Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.
 
Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.
  
 
==How to use== <!--T:3-->
 
==How to use== <!--T:3-->
#Click on [[Image:FEM ConstraintSelfWeight.png|32px]] or choose {{KEY| FEM}} {{KEY|[[Image:FEM ConstraintSelfWeight.png|32px]] Constraint self weight}}  from the top menu or press {{KEY|C}} then {{KEY|W}} keys.
+
 
 +
<!--T:13-->
 +
#Click on [[Image:FEM ConstraintSelfWeight.png|32px]] or choose {{KEY|Model}} → '''Mechanical Constraints''' → {{KEY|[[Image:FEM ConstraintSelfWeight.png|32px]] Constraint self weight}}  from the top menu or press {{KEY|C}} then {{KEY|W}} keys.
 
#You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.
 
#You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.
  
==Limitations== <!--T:4-->
+
==Scripting== <!--T:4-->
 +
 
 +
<!--T:7-->
 +
* new object
 +
</translate>
 +
{{Code|code=
 +
import ObjectsFem
 +
ObjectsFem.makeConstraintSelfWeight( name )
 +
}}
 +
<translate>
 +
 
 +
<!--T:8-->
 +
* add object to the analysis named Analysis
 +
</translate>
 +
{{Code|code=
 +
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
 +
}}
 +
<translate>
 +
 
 +
<!--T:9-->
 +
* example:
 +
</translate>
 +
{{Code|code=
 +
import ObjectsFem
 +
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
 +
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]
 +
 
 +
}}
 +
<translate>
 +
 
 +
== Solver CalculiX == <!--T:5-->
 +
===Limitations===
 
*You need to modify .inp file to edit gravity acceleration.
 
*You need to modify .inp file to edit gravity acceleration.
*Self weight is applied to the whole model.
+
*Self weight is applied to the element set Eall means to the whole model.
  
==Changing gravity acceleration== <!--T:5-->
+
===Editing CalculiX input file=== <!--T:10-->
 
Acceleration constant can be edited by hand modification after generating CalculiX input file.
 
Acceleration constant can be edited by hand modification after generating CalculiX input file.
  
Line 25: Line 64:
 
where 9810 is gravity acceleration in [mm/s^2]
 
where 9810 is gravity acceleration in [mm/s^2]
  
 +
== Solver Z88 == <!--T:11-->
 +
* not implemented in Z88 solver (March 2017)
 +
 +
<!--T:15-->
 +
{{Docnav|[[FEM_ConstraintPressure|Constraint pressure]]|[[FEM_ConstraintBearing|Constraint bearing]]|[[FEM_Module|FEM]]|IconL=FEM_ConstraintPressure.png|IconC=Workbench_FEM.svg|IconR=FEM_ConstraintBearing.png}}
 +
 +
<!--T:16-->
 +
{{FEM Tools navi}}
 +
 +
<!--T:17-->
 +
{{Userdocnavi}}
 
</translate>
 
</translate>
 
{{clear}}
 
{{clear}}
<languages/>
 

Revision as of 11:52, 11 February 2019

Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский

FEM ConstraintSelfWeight.png FEM ConstraintSelfWeight

Menu location
Model → Mechanical Constraints → Constraint self weight
Workbenches
FEM
Default shortcut
C,W
Introduced in version
-
See also
FEM tutorial


Description

Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.

How to use

  1. Click on FEM ConstraintSelfWeight.png or choose ModelMechanical ConstraintsFEM ConstraintSelfWeight.png Constraint self weight from the top menu or press C then W keys.
  2. You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.

Scripting

  • new object
import ObjectsFem
ObjectsFem.makeConstraintSelfWeight( name )
  • add object to the analysis named Analysis
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]
  • example:
import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • You need to modify .inp file to edit gravity acceleration.
  • Self weight is applied to the element set Eall means to the whole model.

Editing CalculiX input file

Acceleration constant can be edited by hand modification after generating CalculiX input file.

Example of lines in .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is gravity acceleration in [mm/s^2]

Solver Z88

  • not implemented in Z88 solver (March 2017)